# git-ea

git-ea is the base command

```
git-ea
├─ backport
├─ branch
├─ cleanup
├─ frontport
├─ ide
├─ init
└─ pr
```


```
[--help]
[--version,-v]
```
**Usage**:

```
git-ea <cmd>
```

**--help**: Show help


**--version,-v**: Print git-ea version


-----

## cleanup

cleanup removes named branches, or interactive if no arguments


```
[--help]
```
**Usage**:

```
cleanup [branches...]
```

**--help**: Show help


-----

## backport

backport cherry-picks a commit and applies it to a clean branch based on `release`


```
[--from,-f]=[value]
[--help]
[--list,-l]
[--to,-t]=[value]
```
**Usage**:

```
backport --from [release=main] --to [release=latest]
```

**--from,-f**="": Release to backport from (ex: `main`, default: main)


**--help**: Show help


**--list,-l**: Open repository to see needed backports


**--to,-t**="": Release to backport to (ex: `1.17`, default: `latest`)


-----

## branch

branch creates a new branch called `name` based on `base`


```
[--base,-b]=[value]
[--help]
[--ide,-i]
[--list,-l]
[--no-fetch,-nf]
```
**Usage**:

```
branch --base [ref=main] <name>
```

**--base,-b**="": Ref to base from (default: `main`)


**--help**: Show help


**--ide,-i**: Open an IDE for the new branch


**--list,-l**: List branches available


**--no-fetch,-nf**: Skip fetching


-----

## frontport

frontport cherry-picks a commit and applies it to a clean branch based on `release`


```
[--from,-f]=[value]
[--help]
[--to,-t]=[value]
```
**Usage**:

```
frontport --from [release=latest] --to [release=main]
```

**--from,-f**="": Release to frontport from (ex: `1.17`, default: <latest>)


**--help**: Show help


**--to,-t**="": Release to frontport to (ex: `main`, default: `main`)


-----

## ide

ide starts an IDE for `branch`


```
[--help]
```
**Usage**:

```
ide <branch>
```

**--help**: Show help


-----

## init

init initializes a workspace for Gitea


```
[--help]
```
**Usage**:

```
init
```

**--help**: Show help


-----

## pr

pr pulls down a pull request for testing


```
[--help]
[--ide,-i]
```
**Usage**:

```
pr <index>
```

**--help**: Show help


**--ide,-i**: Start an IDE for this PR


-----

