package main

import (
	"context"
	"os"

	"go.jolheiser.com/git-ea/cmd"

	"github.com/rs/zerolog"
	"github.com/rs/zerolog/log"
)

func main() {
	log.Logger = log.Output(zerolog.ConsoleWriter{Out: os.Stderr})

	c, err := cmd.New()
	if err != nil {
		log.Fatal().Err(err).Msg("could not initialize command")
	}

	if err := c.ParseAndRun(context.Background(), os.Args[1:]); err != nil {
		log.Err(err).Msg("")
	}
}
